=== modified file 'drizzled/table.cc'
--- drizzled/table.cc	2009-02-17 01:24:03 +0000
+++ drizzled/table.cc	2009-02-19 02:29:43 +0000
@@ -293,7 +293,6 @@
   // share->db_create_options FAIL
   // share->db_options_in_use FAIL
   share->mysql_version= DRIZZLE_VERSION_ID; // TODO: remove
-  share->null_field_first= 0;
 
   drizzle::Table::TableOptions table_options;
 
@@ -331,8 +330,6 @@
     share->table_charset= default_charset_info;
   }
 
-  share->null_field_first= 1;
-
   share->db_record_offset= 1;
 
   share->blob_ptr_size= portable_sizeof_char_ptr; // more bonghits.
@@ -988,17 +985,15 @@
     goto err;
 
   record= share->default_values-1;              /* Fieldstart = 1 */
-  if (share->null_field_first)
-  {
-    null_flags= null_pos= (unsigned char*) record+1;
-    null_bit_pos= (db_create_options & HA_OPTION_PACK_RECORD) ? 0 : 1;
-    /*
-      null_bytes below is only correct under the condition that
-      there are no bit fields.  Correct values is set below after the
-      table struct is initialized
-    */
-    share->null_bytes= (share->null_fields + null_bit_pos + 7) / 8;
-  }
+
+  null_flags= null_pos= (unsigned char*) record+1;
+  null_bit_pos= (db_create_options & HA_OPTION_PACK_RECORD) ? 0 : 1;
+  /*
+    null_bytes below is only correct under the condition that
+    there are no bit fields.  Correct values is set below after the
+    table struct is initialized
+  */
+  share->null_bytes= (share->null_fields + null_bit_pos + 7) / 8;
 
   use_hash= share->fields >= MAX_FIELDS_BEFORE_HASH;
   if (use_hash)
@@ -1771,11 +1766,8 @@
   outparam->field= field_ptr;
 
   record= (unsigned char*) outparam->record[0]-1;	/* Fieldstart = 1 */
-  if (share->null_field_first)
-    outparam->null_flags= (unsigned char*) record+1;
-  else
-    outparam->null_flags= (unsigned char*) (record+ 1+ share->reclength -
-                                    share->null_bytes);
+
+  outparam->null_flags= (unsigned char*) record+1;
 
   /* Setup copy of fields from share, but use the right alias and record */
   for (i=0 ; i < share->fields; i++, field_ptr++)

=== modified file 'drizzled/table.h'
--- drizzled/table.h	2009-02-08 03:02:04 +0000
+++ drizzled/table.h	2009-02-19 02:29:43 +0000
@@ -86,7 +86,6 @@
   inline uint32_t getNullFields() { return s->null_fields; }
   inline unsigned char *getDefaultValues() { return s->default_values; }
 
-  inline bool isNullFieldFirst() { return s->null_field_first; }
   inline bool isDatabaseLowByteFirst() { return s->db_low_byte_first; }		/* Portable row format */
   inline bool isCrashed() { return s->crashed; }
   inline bool isNameLock() { return s->name_lock; }

=== modified file 'drizzled/table_share.h'
--- drizzled/table_share.h	2009-01-29 07:31:47 +0000
+++ drizzled/table_share.h	2009-02-19 02:29:43 +0000
@@ -125,7 +125,6 @@
   uint32_t column_bitmap_size;
 
   uint32_t vfields;                         /* Number of virtual fields */
-  bool null_field_first;
   bool db_low_byte_first;		/* Portable row format */
   bool crashed;
   bool name_lock, replace_with_name_lock;

